Arch: Remove

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch Remove and the translation is 13% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎ • ‎日本語
Arrow-left.svg Arch Add.svg Add component Anteriorul:
Urmeaza: Survey Arch Survey.svg Arrow-right.svg

Arch Remove.svg Arch Remove

poziția meniului
Arch → Remove
Workbenches
Arch
scurtătură
nici unul
Prezentat în versiune
-
A se vedea, de asemenea,
Arch Add


Descriere

Instrumentele de eliminare vă permit să efectuați două tipuri de operații:

  • Eliminați o subcomponentă dintr-un obiect Arch, de exemplu, scoateți o cutie adăugată pe un perete, ca în exemplul Arch Add
  • Scoateți un obiect bazat pe shape dintr-o componentă Arch, cum ar fi wall sau structure

The counterpart of this tool is the Arch Add.svg Arch Add tool.

Arch Remove example.jpg

In imaginea de mai sus, o casetă este extrasă dintr-un perete.

Cum se folosește

  1. Selectați o subcomponentă în interiorul unui obiect Arch, sau:
  2. Selectați obiectul (obiectele) care trebuie scos, apoi componenta Arch din care trebuie să fie scăzută (componenta Arch trebuie să fie ultimul lucru pe care l-ați selectat)
  3. Apăsați butonul Arch Remove.png Remove

Or

  1. Select objects to be subtracted, the last object selected must the Arch object from which the other objects will be subtracted.
  2. Press the Arch Remove.svg button, or ArchArch Remove.svg Remove from the top menu.

Scrip-Programare

Instrumentul Remove poate fi folosit în macros și din consola python utilizând următoarea funcție:

removeComponents(objectsList, host=None)
  • elimină componenta dată sau componentele din lista dată de la părinți ei. Dacă este specificat un obiect gazdă, această funcție va încerca să adauge componentele ca găuri la obiectul gazdă.

Exemplu:

Example:

import FreeCAD, Draft, Arch

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 900
Box.Width = 450
Box.Height = 2000
FreeCAD.ActiveDocument.recompute()

Draft.rotate(Box, 45)
Draft.move(Box, FreeCAD.Vector(1000, 700, 0))

Arch.removeComponents(Box, Wall)
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Arch Add.svg Add component Anteriorul:
Urmeaza: Survey Arch Survey.svg Arrow-right.svg